### Method

# GUPnP ControlPoint list_service_proxies

#### Declaration [src]

    const GList*
    gupnp_control_point_list_service_proxies (
      GUPnPControlPoint* control_point
    )

#### Description [src]

Get the list of discovered `GUPnPServiceProxy` objects the control point currently assumes to be active.

Since a device might have gone offline without signalizing it, but the automatic resource timeout has not happened yet, it is possible that some of the services listed are not available anymore on the network.

Do not free the list nor its elements.

#### Return value

Type: A list of `None`

Service proxies currently assumed to be active.

The returned data is owned by the instance.